Subject: bug#78937: Emacs crashes when trying to view fonts by family

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Jul 2025 18:04:29 +0300

> Date: Tue, 01 Jul 2025 14:25:40 +0100
> From: "Paul Walker" <[email-masked]>
> 
> I've been trying to solve a niggling warning in *Messages*, and in the course of that managed to get Emacs to crash reliably. I suspect it's probably an issue with my system, but I think Emacs still shouldn't crash if possible.
> 
> I was able to reproduce with "emacs -Q"; steps:
> 
> * Options
> * Set default font
> * More fonts
> * By family
> 
> Backtrace attached, result of "report-emacs-bug" below.

Thanks.  Sounds like X-specific.  The font selection dialog I get on
Windows doesn't have the "by family" thing.

> NB - it would be really helpful if the emacs crash text mentioned that xbacktrace lives in emacs/src/.gdbinit to make it easier to find...

Which Emacs crash text are you alluding to?